<!DOCTYPE html>
<html lang="hu">

<head>
  <meta charset="utf-8">
  <title>Hivatkozások</title>
  <style>
    h1 {
      text-align: center;
    }
  </style>
</head>

<body>
  <h1>Az <em>a</em> tag</h1>

  <section>
    <h2>Amit az <em>a</em> tag-ről jó tudni</h2>

    <!-- itt egy "névvel ellátott horgony. Majd később ide fogunk ugrani"-->
    <p>
      <a id="lapteto">Ez itt a lap teteje...</a> A lap aljáról ide vissza lehet ugrani.
    </p>

    <p>
      Az <code>&lt;a&gt;</code> tag segítségével egy hivatkozást hozunk létre a <code>href</code> attribútum által
      megadott helyre.
      A nyitó és záró tag közti rész hiperlink-ként fog megjelenni a képernyőn.

      Ez egy hivatkozás a W3Schools oldalára:<br>
      Látogass a <a href="http://www.w3schools.com/" title="W3Schools">W3Schools oldalára!</a>
    </p>
    <p>
      A <code>target</code> attribútum segítségével megadható, hogy a hivatkozott dokumentum hol legyen
      megnyitva.<br>
      új böngészőablakban/fülben történő megnyitás (megj. a szigorú XHTML specifikáció nem támogatja ezt az
      attribútumot):<br>
      Látogass a <a href="http://www.w3schools.com/" target="_blank" title="W3Schools">W3Schools oldalára!</a>
    </p>
    <p>
      A HTML régebbi változatában a <code>name</code> attribútumot használva jelölhettünk meg az oldalon belül egy
      pozíciót, ahova ugorni szeretnénk (anélkül, hogy
      odáig kelljen görgetni az oldalt). XHTML-ben azonban elavultnak van minősítve a <code>name</code> attribútum,
      ezért ehelyett az <code>id</code> attribútumot használata javasolt.
      A szintaxis a következő:<br>
      &lt;elemnev id="cimke"&gt;Szöveg, ami megjelenik &lt;/elemnev&gt;
    </p>
    <p>
      Ha pl. a www.w3schools.com/html/html_links.asp oldalon van (volna...) egy <em>tips</em> id-jú elem megadva,
      akkor egy külső
      dokumentunból az alábbi módon egyenesen az illető pozícióba ugorhatunk:
      <br>
      <a href="http://www.w3schools.com/html/html_links.asp#tips" title="HTML links">Ugrás a hasznos tippek (Useful
        Tips) részhez</a>
    </p>
    <p>
      Ha az oldalon <em>belülről</em> szeretnénk egy, az oldalon belül megadott ponthoz ugrani, ezt a következőképpen
      tehetjük meg:<br>
      <a href="#lapteto">Ugrás a lap tetejére.</a>
    </p>
  </section>
</body>

</html>